/// handles_demo2-1.sce                                 /
// Two Lissajous figures, sin(t) & cos(3t) and          /
// sin(1.5t) & 0.5*cos(1.5t), with plot definitions     /
// given by arguments of the plot2d() function          /

clear,clc,clf;
// Plot Lissajous figures:
//-------------------------------
t=linspace(0,6,100)';
sines = [sin(t) sin(1.5*t)];
cosines = [cos(3*t) 0.5*cos(1.5*t)];
plot2d(sines, cosines, [2,5], ...
leg='sin(t), cos(3t)@sin(1.5t), 0.5*cos(1.5t)',...
nax=[1,9,1,9], rect=[-1.1,-1.1,1.1,1.1])
