// plot2d_multiple.sce                          /
// Multiple graph declarations in a single      /
// plot2d() command                             /

clear,clc,clf();
x=[0:0.1:2*%pi]';
plot2d(x,[sin(x) cos(2*x) sin(3*x-%pi/2)], ..
[2,13,5],..                                         // Colors
leg="sin(x)@cos(x)@sin(3x)",..                      // Legend
nax=[3,6,2,5],..                                    // Ticks and Marks
rect=[0,-1.5,2*%pi,1.5]);                           // Axis
