// plot1.sce
// A simple 2D plot of a sine function  /
// with the abscissa x = 0 ... 10,      /
// and amplitude A = increases with x   /
// The function itself is y(x)          /
clf;                // clear figure
x = [0:.1:10];      // The abscissa x is a row vector
A = 0.5*x;          // Modulated amplitude, row vector
y = A.*sin(2*x);    // Element-by-element multiplication
plot(y)             // Plot command


