// plot2dx.sce                                          /
// Demonstration of the basic sinc function plotted     /
// with plot2d(), plot2d2(), plot2d3(), and plot2d4()   /
clear,clc,clf;
x = linspace(-10,10,50);
subplot(221);
plot2d(x,sinc(x),style=5) // Plot continuous line
xtitle('plot2d')
subplot(222);
plot2d2(x,sinc(x),style=2) // Plot with steps
xtitle('plot2d2')
subplot(223);
plot2d3(x,sinc(x),style=2) // Plot vertical bars
xtitle('plot2d3')
subplot(224);
plot2d4(x,sinc(x),style=2) // Plot arrow style
xtitle('plot2d4')
