// rotating_surface.sce                         /
// The 3D surface is first rotated and then     /
// tilted, after which its position is locked   /
clear,clc,clf;
// Initialize:
//--------------
drawlater();
t=%pi/20*(-20:20);              // Bounds & mesh resolution
// First plot command, defines labels:
//-------------------------------------------------
plot3d1(t,t,sin(t)'*cos(t),%nan,%nan,..
'x_axis@y_axis@z_axis');// Set speed and turn object:
//--------------------------------------
step = 2;
// Step size --> 1/speed
for angle1 = 25:step:100,
// Rotate loop
    plot3d1(t,t,sin(t)'*cos(t),angle1,45)
    drawnow();
    sleep(50);
end
for angle2 = 45:step:80,
    // Tilt loop
    plot3d1(t,t,sin(t)'*cos(t),100,angle2)
    drawnow();
    sleep(50);
end
