// animation_rectangles.sce
// Two rectangles slide diagonally over the Graphics /
// Window. As they slide over each other their colors /
// are NORed. The solution is only partly successful /

clear,clc,clf();

drawlater();                            // Double buffer mode   
//f.pixmap='on';                        // Double buffer mode
f.pixel_drawing_mode='nor';             // NOR mode
f.background=color("lightblue");

ax=gca();
ax.data_bounds=[0,-4;14,10];            // Plot limits
ax.margins=[.1 .1 .1 .1];               // Plot framed
ax.background=color("lightgrey");
max_pos = 10;                           // Max position of rectangles

k=%nan;                                 // Auxiliary parameter
xrect(k,k,4,4);                        // First black rectangle
e1 = gce();
xrect(max_pos-k,max_pos-k,4,4);        // Second rectangle
e2=gce();

// Animation loop
for k=linspace(1,10,200)
    e1.data(1:2)=k;
    e2.data(1:2)=max_pos-k;
    drawnow();                           //Show double buffer
    sleep(20);
end
