// cutting.sce                          /
// Cut the the function                 /
// z=(2*x^2 - y^2)exp(-x^2 - 0.5*y^2)   /
// along the plane y = -1               /
clf;
x=linspace(-2,2,50);
y=linspace(-1,-1,0);
[X,Y]=meshgrid(x,y);
Z=(2*X.^2-Y.^2).*exp(-X.^2-0.5*Y.^2);
plot2d(X,Z,5)
