// histogram_subplot.sce                /
// Demonstration of histogram types     /
// using subplots                       /

clear,clc,clf;
subplot(221)
data=rand(1,10000,'normal');
histplot(20,data)           // Traditional histogram
subplot(222)
y=[1 3 5 6 8];              // Transpose necessary!
z=[y;4 3 2 2 1]';
bar(z,0.7,'stacked')        // “on top of each other”subplot(223)
hist3d(5*rand(8,4))         // 3D histogram
subplot(224)
z=10*rand(3,4);
x=[1 3 5 6];
y=[1 2 7 11 20];
hist3d(list(z,x,y))         // 3D hist, add x/y vectors
