function lotto
//----------------------------------------------------------------- /
// The function draws 7 Lotto numbers [1,39] by first               /
// creating a seed using current date and time                      /
// (second, millisecond) information                                /
//----------------------------------------------------------------  /
dt=getdate();                           // Pick current date
rand('seed',1000*dt(9)+dt(10));         // Initialize random generator
numbers=floor(1+39*rand(1,7));          // Draw Lotto row
while(length(unique(numbers))<7)        // If number repeats in row,
numbers=floor(1+39*rand(1,7));          // then drawn a new row
end
numbers=gsort(numbers);                 // Sort numbers in decreasing order
disp(numbers(7:-1:1));                  // Display in increasing order
endfunction
