// matlab_quiver3.sce
// Test Matlab's quiver3() function /
clear,clc,clf;
[X,Y]=meshgrid(-2:0.2:2,-1:0.2:1);
Z=cos(X.*Y);
surf(X,Y,Z);
hold on
[U,V,W] = surfnorm(X,Y,Z);
quiver3(X,Y,Z,U,V,W,'r');
Legend 'Surface normals'
colormap gray
hold off
