// sinc3D.sce                                           /
// Plot the sinc function (sin(x)/x) using plot3d()     /
// with surface definition arguments                    /

clear,clc,clf;
x = linspace(-10,10,50);
y = linspace(-10,10,50);
[X,Y] = ndgrid(x,y);                //Create array for xy grid
Z = 50*sin(sqrt(X.^2 + Y.^2))./sqrt(X.^2 +Y.^2);
plot3d(x,y,Z,leg="X@Y@Z",flag=[4,2,4])
