// sinc_colormap.sce                        /
// Define and plot 3D sic funtion, graphic  /
// adjust properties with handles           /

clear,clc,clf;
x=linspace(-10,10,50);                  // Linear space of x
y=x;                                    // Ditto for y
// **** SUBROUTINE sincf(): **** /
//----------------------------------------------
function [z]=sincf(x, y)
r=sqrt(x.^2+y.^2)+%eps;                 // Auxiliary computation
z=sin(r)./r;
// Amplitude
endfunction
// **** MAIN, Compute sinc function: **** /
//----------------------------------------------------------
w=feval(x,y,sincf); // Evaluate with SUBROUTINE sincf()
// Plotting & plot control:
//--------------------------------
drawlater();                            // Suppress plotting until ready
plot3d(x,y,w);                          // (Suppressed) plot function
f=gcf();                                // Get Figure handle
f.color_map = hotcolormap(32);       // Set color table
h=gca();                                // Get Axes handles
h.rotation_angles=[87,42];              // Set angle of observation
h.children.color_flag=1;                // Use current color table
xtitle('sinc()','X','Y','Z');           // Title & legend
drawnow();                              // Plot now
