// surf_ex1.sce                             /
// Plot the function                        /
// z=(2x^2 - y^2)exp(-x^2 - 0.5y^2)         /
// for -2<x<2, -3<y<3, where < indicates    /
//  "less than or equal to"                 /

clear,clc,clf;
x=linspace(-2,2,30);                        // Linear spacing
y=linspace(-3,3,30);
[X,Y]=meshgrid(x,y);                        // Surface mesh
Z=(2*X.^2-Y.^2).*exp(-X.^2-0.5*Y.^2);
surf(X,Y,Z)                                 // Plot 3D surface
